<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form [formGroup]="changePasswordForm">
                            <h4 class="text-center">Please enter your new password and confirm to reset it</h4>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Old password</label></div>
                                    <div class="col-8">
                                        <input type="password" formControlName="oldPassword" class="form-control"
                                            placeholder="Enter your old password">
                                        <!-- Error Messages -->
                                        <span class="t-red"
                                            *ngFor="let validation of errors.password">
                                            <span
                                                *ngIf="changePasswordForm.get('oldPassword').hasError(validation.type) && (changePasswordForm.get('oldPassword').dirty || changePasswordForm.get('oldPassword').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>New password</label></div>
                                    <div class="col-8">
                                        <input type="password" formControlName="newPassword" class="form-control"
                                            placeholder="Enter your new password">
                                        <!-- Error Messages -->
                                        <span class="t-red"
                                            *ngFor="let validation of errors.newPassword">
                                            <span
                                                *ngIf="changePasswordForm.get('newPassword').hasError(validation.type) && (changePasswordForm.get('newPassword').dirty || changePasswordForm.get('newPassword').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Confirm password</label></div>
                                    <div class="col-8">
                                        <input type="password" formControlName = "confirmPassword" class="form-control"
                                            placeholder="Confirm your password">
                                        <!-- Error Messages -->
                                        <span class="t-red"
                                            *ngFor="let validation of errors.confirmPassword">
                                            <span
                                                *ngIf="changePasswordForm.get('confirmPassword').hasError(validation.type) && (changePasswordForm.get('confirmPassword').dirty || changePasswordForm.get('confirmPassword').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group text-center">
                                <input type="submit" [disabled]="changePasswordForm.invalid" (click)= "changePassword()" value="Submit" class="btn">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>